#ifndef FLOATINFORMATION_H
#define FLOATINFORMATION_H

#include <QtGui/QWidget>
#include "modelcreatordata.h"

namespace Ui {
    class FloatInformation;
}

class FloatInformation : public QWidget {
    Q_OBJECT
public:
    FloatInformation(QWidget *parent = 0);
    ~FloatInformation();
    void getFloatData(M3D::M3DML_Float_Block *block);
    void loadData(const M3D::M3DML_Layer *layer);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::FloatInformation *m_ui;
};

#endif // FLOATINFORMATION_H
